package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysBankTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

@Repository
public interface SysBankRepository extends BaseRepository<SysBankTable> {

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysBankTable> findAllByIdIn(List<Long> ids);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysBankTable findFirstById(Long id);

    SysBankTable getFirstById(Long id);

    List<SysBankTable> getAllByValidOrderBySubIndexAsc(Integer valid);

    void deleteByIdNotIn(List<Long> ids);
}
